"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _decorators = require("oors-graphql/build/decorators");

var _user = require("../../constants/user");

var _default = (role, availableRoles = _user.roles) => {
  if (!availableRoles.includes(role)) {
    throw new Error(`Unknown user role - "${role}"!`);
  }

  return (0, _decorators.withUser)({
    isValidUser: (_, args, {
      user
    }) => Array.isArray(user.roles) && user.roles.includes(role)
  });
};

exports.default = _default;