"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _decorators = require("oors-graphql/build/decorators");

var _intersection = _interopRequireDefault(require("lodash/intersection"));

var _user = require("../../constants/user");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (roles, availableRoles = _user.roles) => {
  roles.forEach(role => {
    if (!availableRoles.includes(role)) {
      throw new Error(`Unknown user role - "${role}"!`);
    }
  });
  return (0, _decorators.withUser)({
    isValidUser: (_, args, {
      user
    }) => !!(0, _intersection.default)(roles, user.roles).length
  });
};

exports.default = _default;