"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.requiresAuth = exports.requiresRole = void 0;

const requiresRole = role => (_, args, ctx, info, next) => {
  const {
    user
  } = ctx;

  if (!user || !Array.isArray(user.roles) || !user.roles.includes(role)) {
    return null;
  }

  return next(...args);
};

exports.requiresRole = requiresRole;

const requiresAuth = () => (_, args, ctx, info, next) => {
  const {
    user
  } = ctx;

  if (!user) {
    return null;
  }

  return next(...args);
};

exports.requiresAuth = requiresAuth;