"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _decorators = require("oors-graphql/build/decorators");

/**
 * oldPassword is not required if the user signed up with a social account
 */
var _default = (0, _decorators.compose)((0, _decorators.withUser)())(async (_, {
  oldPassword,
  password
}, {
  modules,
  user,
  fromMongo
}) => {
  if (user.password && !oldPassword) {
    throw new Error(`oldPassword is required!`);
  }

  return fromMongo((await modules.get('oors.user').changePassword({
    userId: user._id,
    oldPassword,
    password
  })));
});

exports.default = _default;