"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = {
  id: 'userFromJwt',
  factory: () => async (req, res, next) => {
    const User = req.modules.get('oors.mongodb').getRepository('oors.user.User');

    if (!req.jwtPayload) {
      return next();
    }

    try {
      const {
        id
      } = req.jwtPayload;
      const user = await User.findById(id);

      if (!user) {
        return next();
      }

      await req.modules.get('oors.user').canLogin(user);
      req.user = user;
      return next();
    } catch (error) {
      return next(error);
    }
  }
};
exports.default = _default;