"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _easevalidation = require("easevalidation");

var _oorsMongodb = require("oors-mongodb");

var _isObjectId = _interopRequireDefault(require("oors-mongodb/build/libs/isObjectId"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class Login extends _oorsMongodb.Repository {}

Login.schema = {
  userId: [_easevalidation.validators.isRequired(), (0, _isObjectId.default)()],
  ip: [_easevalidation.validators.isRequired(), _easevalidation.validators.isString()],
  browser: [_easevalidation.validators.isRequired(), _easevalidation.validators.isString()],
  os: [_easevalidation.validators.isRequired(), _easevalidation.validators.isString()],
  platform: [_easevalidation.validators.isRequired(), _easevalidation.validators.isString()]
};
Login.relations = {
  user: {
    repositoryName: 'oors.user.User',
    localField: 'userId',
    foreignField: '_id',
    type: 'one'
  }
};
var _default = Login;
exports.default = _default;